precision mediump float;

uniform lowp sampler2D sampler;
uniform lowp float saturation;

varying vec2 v_texcoord;
varying lowp vec4 v_color;

void main()
{
	lowp vec4 c = texture2D(sampler, v_texcoord);
	lowp float lum = dot(c.rgb, vec3(0.3, 0.59, 0.11));
	lowp vec3 res = mix(vec3(lum, lum, lum), c.rgb, saturation);
	gl_FragColor = v_color * vec4(res, c.a);
}

