precision mediump float;

uniform lowp sampler2D sampler;

varying vec2 v_texcoord;
varying lowp vec4 v_color;
varying lowp vec2 v_gradient;
uniform lowp vec2 gradient;

void main()
{
	lowp float alpha = v_color.a * texture2D(sampler, v_texcoord).a;
	lowp vec2 grad = 2.0 * abs(v_gradient - vec2(0.5, 0.5));
	grad = grad * grad * gradient;
	lowp float grad_mult = 1.0 - max(grad.x, grad.y); 
	gl_FragColor = vec4(grad_mult * v_color.rgb, alpha);
}
